My Oracle Support Banner

Upgrading Oracle Big Data Appliance(BDA) CDH Cluster to V4.13.0 from V4.9, V4.10, V4.11, V4.12 on OL6 and from V4.12 on OL7 Releases using Mammoth Software Upgrade Bundle for OL6 or OL7 (Doc ID 2451940.1)

Last updated on JANUARY 17, 2019

Applies to:

Big Data Appliance Integrated Software - Version 4.9.0 to 4.13.0 [Release 4.9 to 4.10]
Linux x86-64

Purpose

This document provides instructions on how to upgrade an Oracle Big Data Appliance CDH cluster to Oracle Big Data Appliance V4.13.0 using the Mammoth V4.12.0 Upgrade Software Deployment Bundle. The instructions provide steps for upgrading an Oracle Big Data Appliance OL6 system.

On OL6 clusters upgrade to V4.13.0 can be from BDA V4.9, V4.10, V4.11 or V4.12.  On OL7 clusters upgrade to V4.13.0 can be from V4.12.

For details on the upgrade path to BDA V4.13 see: Upgrade Path to Get from Older Versions of BDA Mammoth to BDA Mammoth 4.13.0 (Doc ID 2462247.1).

Scope

 Oracle Big Data Appliance Administrators, Oracle Advanced Customer Support (ACS), etc.

Details

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Purpose
Scope
Details
 Alert for BDA V4.13
 Known Issues with V4.13.0 Upgrade Patch 28675287 (OL6) and Patch 28675288 (OL7)
 New Known Issues for BDA V4.13
 Existing Known Issues for BDA V4.13
 Prerequisites for BDA V4.13 Upgrade
 Prerequisites for cluster health
 Prerequisites for Mammoth Bundle Download
 For On-Premise Environments
 Prerequisites for scheduling the Upgrade
 Prerequisites regarding Non BDA nodes which are part of the cluster
 Prerequisites for the httpd service
 Prerequisites for grub.conf on OL6
 On X7-2 Servers on OL6
 On X6-2 and Lower Servers on OL6
 Prerequisites for dcli
 Prerequisites to avoid errors dependent on language
 Prerequisites for repositories
 Prerequisites for some non-default Mammoth services.
 Prerequisites to ensure NO running or suspended Oozie workflow, coordinator, bundle jobs
 Prerequisites for Kudu
 Prerequisites for the flume
 Prerequisites for impala LZO
 Prerequisites for MySQL
 Prerequisites for Big Data SQL
 Prerequisites regarding sufficient space
 Prerequisites if Kerberos was manually installed i.e. not with Mammoth
 Prerequisites for TLS /SSL/HTTPS
 Prerequisites for $JAVA_HOME/jre/lib/security/jssecacerts, custom $JAVA_HOME/jre/lib/security/cacerts, and custom certificates
 Prerequisites related to OL files in /etc
 Prerequisites for passwords
 Prerequisites for 'oracle' user UID and GID
 Prerequisites for mount points
 Prerequisites for proxies
 Prerequisites for old params files and all network.json files and config.json files
 Prerequisites for Key Trustee Servers
 Prerequisites for  Big Data Discovery
 Upgrade Instructions
 Pre-Upgrade Steps
 4.13 Upgrade Overview
 Sample Mammoth  BDA 4.11 to BDA V4.13 Upgrade Output
 When Disk Encryption is Enabled
 Upgrade to Step 3 reboot
 After reboot
 Resume the upgrade
 Post Upgrade Validations
 Post Upgrade Tasks
 What If an Error Occurs During the Upgrade?
 About Software Version Differences
 Software Installed in Release 4.13.0
 Mammoth software
 Known Issues with the 4.13 Release
 New Known Issues in the 4.13.0 Release
 Existing Known Issues in the 4.13.0 Release
 Cloudera Manager (CM) and Hue Web UI, Navigator Initial Login Changes
References

My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.